Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.protege2jena
Class Protege2Jena

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.protege2jena.Protege2Jena

    public class Protege2Jena

extends Object

An object that can convert an OWLModel into an OntModel. This implementation uses the OWLModel's TripleStore and creates corresponding Jena triples for each.

When completed, this will replace the JenaCreator class.

Author:
  Holger Knublauch

Method Summary
`static com.hp.hpl.jena.ontology.OntModel` | `createOntModel(OWLModel owlModel)`
`static com.hp.hpl.jena.ontology.OntModel` | `createOntModel(OWLModel owlModel, Collection fillTripleStores)`
`static com.hp.hpl.jena.ontology.OntModel` | `createOntModel(OWLModel owlModel, Collection fillTripleStores, Map tripleStores2Model)`
`static com.hp.hpl.jena.ontology.OntModel` | `createOntModel(OWLModel owlModel, com.hp.hpl.jena.ontology.OntModelSpec spec, Collection fillTripleStores)`
`static com.hp.hpl.jena.ontology.OntModel` | `createOntModel(OWLModel owlModel, com.hp.hpl.jena.ontology.OntModelSpec spec, Collection fillTripleStores, Map tripleStore2Model)`
`protected static Set` | `getParseTypeCollectionProperties()`
`static void` | `removeRedundantRDFLists(com.hp.hpl.jena.rdf.model.Model model)` In several contexts, such as owl:unionOf operands, it is unusual to have typed rdf:Lists.
`static void` | `saveAll(OWLModel owlModel, URI uri)`
`static void` | `saveAll(OWLModel owlModel, URI uri, String language)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createOntModel

    public static com.hp.hpl.jena.ontology.OntModel createOntModel(OWLModel owlModel)

### createOntModel

    public static com.hp.hpl.jena.ontology.OntModel createOntModel(OWLModel owlModel,
                                                                   Collection fillTripleStores)

### createOntModel

    public static com.hp.hpl.jena.ontology.OntModel createOntModel(OWLModel owlModel,
                                                                   Collection fillTripleStores,
                                                                   Map tripleStores2Model)

### createOntModel

    public static com.hp.hpl.jena.ontology.OntModel createOntModel(OWLModel owlModel,
                                                                   com.hp.hpl.jena.ontology.OntModelSpec spec,
                                                                   Collection fillTripleStores)

### createOntModel

    public static com.hp.hpl.jena.ontology.OntModel createOntModel(OWLModel owlModel,
                                                                   com.hp.hpl.jena.ontology.OntModelSpec spec,
                                                                   Collection fillTripleStores,
                                                                   Map tripleStore2Model)

### getParseTypeCollectionProperties

    protected static Set getParseTypeCollectionProperties()

### removeRedundantRDFLists

    public static void removeRedundantRDFLists(com.hp.hpl.jena.rdf.model.Model model)

  In several contexts, such as owl:unionOf operands, it is unusual to have typed rdf:Lists. Typeless rdf:Lists are written out as parseType="Collection". This method detects these rdf:Lists and removes its rdf:type.

  Parameters:
    `model` -

### saveAll

    public static void saveAll(OWLModel owlModel,
                               URI uri)
                        throws Exception

  Throws:
    `Exception`

### saveAll

    public static void saveAll(OWLModel owlModel,
                               URI uri,
                               String language)
                        throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.